aboutsummaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorDavid Bremner <david@tethera.net>2014-08-25 17:56:57 -0700
committerDavid Bremner <david@tethera.net>2014-08-25 17:56:57 -0700
commit28fda31544f2155bce2ec8d3f6244026af4781c6 (patch)
treeea7aab7de96ce2a3d1b63ae93eb80276ce8be523 /debian
parented1cec37df5f5b7516b8eec24a606f835c1a5e25 (diff)
parent01c8bf89a456cae9221bb57a130758a7a6dc005b (diff)
Merge tag 'debian/0.18.1-2' into wheezy-backports
uploaded to Debian unstable Conflicts: debian/changelog
Diffstat (limited to 'debian')
-rw-r--r--debian/NEWS10
-rw-r--r--debian/changelog99
-rw-r--r--debian/control20
-rwxr-xr-xdebian/notmuch-emacs.emacsen-install71
-rwxr-xr-xdebian/notmuch-emacs.emacsen-remove34
-rw-r--r--debian/notmuch-emacs.postinst5
-rw-r--r--debian/ruby-notmuch.install2
-rw-r--r--debian/source/options2
8 files changed, 191 insertions, 52 deletions
diff --git a/debian/NEWS b/debian/NEWS
index 8049a933..0ae08198 100644
--- a/debian/NEWS
+++ b/debian/NEWS
@@ -1,3 +1,13 @@
+notmuch (0.18~rc0-1) experimental; urgency=low
+
+ * This release of notmuch requires a non-reversable database upgrade
+ to support the new path: and updated folder: prefixes. Notmuch
+ will backup your tags for your before doing the upgrade, but it
+ never hurts to make your own backup with notmuch dump before
+ next running 'notmuch new'
+
+ -- David Bremner <bremner@debian.org> Tue, 22 Apr 2014 09:32:11 +0900
+
notmuch (0.17-1) unstable; urgency=low
* Previously on big endian architectures like sparc and powerpc the
diff --git a/debian/changelog b/debian/changelog
index 5c8d6fba..d7af75e8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,100 @@
-notmuch (0.17-3~bpo70+1) wheezy-backports; urgency=medium
+notmuch (0.18.1-2) unstable; urgency=medium
- * Rebuild for wheezy-backports.
+ * Update build-deps to use emacs24 on buildd (Closes: #756085)
+ * Disable gdb atomicity test for arm64 as gdb is currently broken on
+ the (unofficial) buildds
+ * Re-enable atomicity test on armhf; upstream fix seems to have
+ worked.
+
+ -- David Bremner <bremner@debian.org> Sat, 09 Aug 2014 11:48:10 -0300
+
+notmuch (0.18.1-1) unstable; urgency=medium
+
+ * New upstream bug fix release
+ - Re-enable support for single-message mbox files
+ - Fix for phrase indexing
+ - Make tagging empty query in Emacs harmless
+
+ -- David Bremner <bremner@debian.org> Wed, 25 Jun 2014 07:20:45 -0300
+
+notmuch (0.18.1~rc0-1) experimental; urgency=medium
+
+ * New upstream bug fix release (candidate)
+ * Tighten dependence of python packages on libnotmuch
+ (Closes: #749881).
+ * Redo emacsen-install script from sample in emacsen-common
+ (Closes: #739839).
+
+ -- David Bremner <bremner@debian.org> Sat, 14 Jun 2014 07:50:28 -0300
+
+notmuch (0.18-3) unstable; urgency=medium
+
+ * Disable atomicity tests on armel.
+
+ -- David Bremner <bremner@debian.org> Thu, 08 May 2014 14:26:45 +0900
+
+notmuch (0.18-2) unstable; urgency=medium
+
+ * Disable atomicity tests on armhf. These should be re-enabled when
+ upstream relases a fix for this (in progress).
+
+ -- David Bremner <bremner@debian.org> Thu, 08 May 2014 08:28:33 +0900
+
+notmuch (0.18-1) unstable; urgency=medium
+
+ * New upstream release. For detailed release notes see
+ see /usr/share/doc/notmuch/NEWS.gz. Some highlights:
+ - Changes/enhancements to searching for messages by filesystem
+ location ('folder:' and 'path:' prefixes).
+ - Saved searches in Emacs have also been enhanced to allow
+ distinct search orders for each one.
+ - Another enhancement to the Emacs interface is that replies to
+ encrypted messages are now encrypted, reducing the risk of
+ unintentional information disclosure.
+ - The default dump output format has changed to the more robust
+ 'batch-tag' format.
+ - The previously deprecated parsing of single message mboxes has
+ been removed.
- -- David Bremner <bremner@debian.org> Wed, 29 Jan 2014 20:20:56 -0400
+ -- David Bremner <bremner@debian.org> Tue, 06 May 2014 16:20:39 +0900
+
+notmuch (0.18~rc1-1) experimental; urgency=low
+
+ * Upstream release candidate
+ - include encoding fix for vim client.
+
+ -- David Bremner <bremner@debian.org> Sun, 04 May 2014 07:29:51 +0900
+
+notmuch (0.18~rc0-1) experimental; urgency=low
+
+ * Upstream release candidate.
+ * Bug fix: "insufficient sanitization of arguments to notmuch CLI",
+ thanks to Antoine Beaupré (Closes: #737496).
+ * Bug fix: "notmuch(1) manpage: typo: int -> in", thanks to Jakub
+ Wilk (Closes: #739556).
+ * Bug fix: "get a quiet option", thanks to Joerg Jaspert (Closes:
+ #666027).
+ * Bug fix: "Please remove me from Uploaders", thanks to martin f
+ krafft (Closes: #719100).
+ * Bug fix: "M-x notmuch-show-reply on an encrypted message should
+ insert encryption tags into the mml buffer", thanks to Daniel Kahn
+ Gillmor (Closes: #704648).
+
+ -- David Bremner <bremner@debian.org> Tue, 22 Apr 2014 09:27:29 +0900
+
+notmuch (0.17-5) unstable; urgency=medium
+
+ * Bug fix: "unowned directory after purge: /0755/", thanks to
+ Andreas Beckmann (Closes: #740325).
+
+ -- David Bremner <bremner@debian.org> Mon, 03 Mar 2014 07:29:06 -0400
+
+notmuch (0.17-4) unstable; urgency=medium
+
+ * Bug fix: "Please update ruby binary extension install path",
+ thanks to Christian Hofstaedtler (Closes: #739120).
+
+ -- David Bremner <bremner@debian.org> Tue, 18 Feb 2014 21:37:44 -0400
notmuch (0.17-3) unstable; urgency=medium
@@ -59,6 +151,7 @@ notmuch (0.16-1~bpo70+1) wheezy-backports; urgency=low
* Rebuild for wheezy-backports.
-- David Bremner <bremner@debian.org> Sun, 01 Sep 2013 19:04:32 -0300
+
notmuch (0.16-1) unstable; urgency=low
* New upstream feature release
diff --git a/debian/control b/debian/control
index a887263c..6fa1fa7b 100644
--- a/debian/control
+++ b/debian/control
@@ -4,8 +4,8 @@ Priority: optional
Maintainer: Carl Worth <cworth@debian.org>
Uploaders:
Jameson Graef Rollins <jrollins@finestructure.net>,
- martin f. krafft <madduck@debian.org>,
David Bremner <bremner@debian.org>
+Build-Conflicts: ruby1.8
Build-Depends:
debhelper (>= 9),
pkg-config,
@@ -15,11 +15,13 @@ Build-Depends:
libz-dev,
python-all (>= 2.6.6-3~),
python3-all (>= 3.1.2-7~),
+ python-sphinx (>= 1.0),
ruby, ruby-dev (>>1:1.9.3~),
- emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~) |
- emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
- gdb [!s390x !ia64],
- dtach (>= 0.8)
+ emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~) |
+ emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
+ gdb [!s390x !ia64 !armel !arm64],
+ dtach (>= 0.8),
+ bash-completion (>=1.9.0~)
Standards-Version: 3.9.4
Homepage: http://notmuchmail.org/
Vcs-Git: git://notmuchmail.org/git/notmuch
@@ -67,7 +69,7 @@ Description: thread-based email index, search and tagging (development)
Package: python-notmuch
Architecture: all
Section: python
-Depends: ${misc:Depends}, ${python:Depends}, libnotmuch3
+Depends: ${misc:Depends}, ${python:Depends}, libnotmuch3 (>= ${source:Version})
Description: python interface to the notmuch mail search and index library
Notmuch is a system for indexing, searching, reading, and tagging
large collections of email messages in maildir or mh format. It uses
@@ -80,7 +82,7 @@ Description: python interface to the notmuch mail search and index library
Package: python3-notmuch
Architecture: all
Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, libnotmuch3
+Depends: ${misc:Depends}, ${python3:Depends}, libnotmuch3 (>= ${source:Version})
Description: Python 3 interface to the notmuch mail search and index library
Notmuch is a system for indexing, searching, reading, and tagging
large collections of email messages in maildir or mh format. It uses
@@ -108,10 +110,10 @@ Architecture: all
Section: mail
Breaks: notmuch (<<0.6~254~)
Replaces: notmuch (<<0.6~254~)
-Conflicts: emacsen-common (<< 2.0.0)
Depends: ${misc:Depends}, notmuch (>= ${source:Version}),
emacs23 (>= 23~) | emacs23-nox (>=23~) | emacs23-lucid (>=23~) |
- emacs24 (>= 24~) | emacs24-nox (>=24~) | emacs24-lucid (>=24~)
+ emacs24 (>= 24~) | emacs24-nox (>=24~) | emacs24-lucid (>=24~),
+ emacsen-common (>= 2.0.8)
Description: thread-based email index, search and tagging (emacs interface)
Notmuch is a system for indexing, searching, reading, and tagging
large collections of email messages in maildir or mh format. It uses
diff --git a/debian/notmuch-emacs.emacsen-install b/debian/notmuch-emacs.emacsen-install
index dfd8fda9..f35ef48e 100755
--- a/debian/notmuch-emacs.emacsen-install
+++ b/debian/notmuch-emacs.emacsen-install
@@ -1,45 +1,48 @@
-#! /bin/sh -e
+#!/bin/sh
# /usr/lib/emacsen-common/packages/install/notmuch-emacs
-
-# Written by Jim Van Zandt <jrv@debian.org>, borrowing heavily
-# from the install scripts for gettext by Santiago Vila
-# <sanvila@ctv.es> and octave by Dirk Eddelbuettel <edd@debian.org>.
+set -e
FLAVOR=$1
PACKAGE=notmuch
-# We know that the notmuch emacs code doesn't work with emacs before emacs23
-if [ ${FLAVOR} = emacs21 ]; then exit 0; fi
-if [ ${FLAVOR} = emacs22 ]; then exit 0; fi
-if [ ${FLAVOR} = xemacs21 ]; then exit 0; fi
-if [ ${FLAVOR} = xemacs22 ]; then exit 0; fi
+case "${FLAVOR}" in
+ emacs)
+ return 0
+ ;;
+ xemacs*|emacs2[12])
+ # patches welcome.
+ echo install/${PACKAGE}: skipping install for unsupported emacsen flavor ${FLAVOR}
+ exit 0
+ ;;
+ *)
+ echo install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}
+esac
+
+
+elc_dir=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+el_dir=/usr/share/emacs/site-lisp/${PACKAGE}
-echo install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}
+byte_compile_options="--quick --directory=${el_dir} -batch -f batch-byte-compile"
-#FLAVORTEST=`echo $FLAVOR | cut -c-6`
-#if [ ${FLAVORTEST} = xemacs ] ; then
-# SITEFLAG="-no-site-file"
-#else
-# SITEFLAG="--no-site-file"
-#fi
-#FLAGS="${SITEFLAG} -q -batch -l path.el -f batch-byte-compile"
-FLAGS="--no-site-file -q -batch -l path.el -f batch-byte-compile"
+echo install/${PACKAGE}: byte-compiling for ${FLAVOR}
-ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
-ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+[ -d ${elc_dir} ] || mkdir ${elc_dir}
-install -m 755 -d ${ELCDIR}
-cd ${ELDIR}
-FILES=`echo *.el`
-cd ${ELCDIR}
-for file in ${FILES}; do
- ln -sf ${ELDIR}/${file} .
-done
+# Create symlinks to the .el files (see section 6E in debian-emacs
+# polcy). This makes complation easy, and also allows find-function
+# and find-library to work properly.
+(cd ${elc_dir} && cp -s ${el_dir}/*.el .)
-cat << EOF > path.el
-(setq load-path (cons "." load-path) byte-compile-warnings nil)
-EOF
-${FLAVOR} ${FLAGS} ${FILES}
-rm -f *.el
+# Byte compile them
+(cd ${elc_dir}
+ set +e
+ ${FLAVOR} ${byte_compile_options} *.el > Install.log 2>&1
+ if test $? -ne 0
+ then
+ cat Install.log
+ exit 1
+ fi
+ set -e
+ gzip -9 Install.log)
-exit 0
+exit 0;
diff --git a/debian/notmuch-emacs.emacsen-remove b/debian/notmuch-emacs.emacsen-remove
index 3b433ae2..a5553209 100755
--- a/debian/notmuch-emacs.emacsen-remove
+++ b/debian/notmuch-emacs.emacsen-remove
@@ -1,8 +1,34 @@
-#!/bin/sh -e
-# /usr/lib/emacsen-common/packages/remove/notmuch-emacs
+#!/bin/sh
+# /usr/lib/emacsen-common/packages/remove/notmuch
+
+set -e
FLAVOR=$1
PACKAGE=notmuch
+elc_dir=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+case "${FLAVOR}" in
+ emacs)
+ return 0
+ ;;
+ xemacs*|emacs2[12])
+ # patches welcome.
+ echo install/${PACKAGE}: skipping removal for unsupported emacsen flavor ${FLAVOR}
+ exit 0
+ ;;
+ *)
+ echo remove/${PACKAGE}: Handling removal for emacsen flavor ${FLAVOR}
+esac
+
+echo remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR}
+
+echo emacsen-common: purging byte-compiled files for ${FLAVOR}
+rm -f ${elc_dir}/*.elc
+rm -f ${elc_dir}/*.el
+rm -f ${elc_dir}/Install.log*
+if test -e "${elc_dir}"
+then
+ rmdir --ignore-fail-on-non-empty "${elc_dir}"
+fi
-echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
-rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+exit 0;
diff --git a/debian/notmuch-emacs.postinst b/debian/notmuch-emacs.postinst
index 48ecf231..1237237d 100644
--- a/debian/notmuch-emacs.postinst
+++ b/debian/notmuch-emacs.postinst
@@ -1,4 +1,7 @@
dir="/var/lib/emacsen-common/state/package/installed"
-mkdir -p 0755 ${dir}
+mkdir -p -m 0755 ${dir}
touch ${dir}/notmuch-emacs
#DEBHELPER#
+if [ -d /0755 ]; then
+ rmdir /0755 || true
+fi
diff --git a/debian/ruby-notmuch.install b/debian/ruby-notmuch.install
index 98e7050b..d3f2105c 100644
--- a/debian/ruby-notmuch.install
+++ b/debian/ruby-notmuch.install
@@ -1 +1 @@
-usr/lib/ruby/vendor_ruby/*/*/notmuch.so
+usr/lib/*/*ruby/*/*/notmuch.so
diff --git a/debian/source/options b/debian/source/options
index 7423a2df..7e95ec71 100644
--- a/debian/source/options
+++ b/debian/source/options
@@ -1 +1,3 @@
single-debian-patch
+tar-ignore
+tar-ignore=performance-test/download/*.tar.xz